import { extend, mergeData } from '../vue';
import { NAME_ICONSTACK } from '../constants/components';
import { omit } from '../utils/object';
import { makePropsConfigurable } from '../utils/props';
import { props as props$1, BVIconBase } from './helpers/icon-base';

// --- Props ---

const props = makePropsConfigurable(omit(props$1, ['content', 'stacked']), NAME_ICONSTACK);

// --- Main component ---

// @vue/component
const BIconstack = /*#__PURE__*/extend({
  name: NAME_ICONSTACK,
  functional: true,
  props,
  render(h, _ref) {
    let {
      data,
      props,
      children
    } = _ref;
    return h(BVIconBase, mergeData(data, {
      staticClass: 'b-iconstack',
      props
    }), children);
  }
});

export { BIconstack, props };
